# pentabug


This is a fork of https://github.com/c3d2/pentabug

The pentabug is a small microcontroller soldering project. It's especially suited for young hackers and beginners of all ages. Assembly requires no prior soldering skills and can be accomplished - with a little help for the tricky parts - by children old enough to savely hold a soldering iron (thats about 7 years and up).

## Assembly

Assembly instructions can be found in /doc/anleiungsflyer (German). The motor can be tricky. Parts for JP3-5 may not be included, but are not needed for the standard apps.

## Programming

Install binutils-avr, gcc-avr, avr-libc, avrdude

Pre-flashed versions of the processor ship with a test firmware, not the final apps! You need an ISP to upload the apps to the Pentabug. An Arduino Uno can be used as such:

### Flash Arduino Uno with ArduinoISP

Make sure you have a recent Arduino IDE, then...

1. Open Arduino IDE
1. Select Tools > Board and Port
1. Open File > Examples > ArduinoISP
1. Upload

### Connect Arduino Pins to ISP-Header on target

| PIN on ArduinoISP | Function | PIN on ISP 2x3 header |
|-------------------|----------|-----------------------|
| D12               | MISO     | 1 (upper right)       |
| 5V                | 5V       | 2 (lower right)       |
| D13               | SCK      | 3 (upper mid)         |
| D11               | MOSI     | 4 (lower mid)         |
| D10               | Reset    | 5 (upper left)        |
| GND               | GND      | 6 (lower left)        |

### Flash the apps to the pentabug

```
make flash
```

## Apps

### buggy

Roach mode - pentabug reacts to light and flashed LEDs, beeps, vibrates

### jumpy

Similar to buggy, but reacts to loud sound

### mariotheme

Play Super Mario theme tune

### geiger

Reacts to light and produces sound like a Geiger counter. If you briefly press one button, you switch to a second mode that changes pitch depending on light.

### ducklings

Pentabug sings "Alle meine Entchen".

### blinker

Pentabug flashed its LEDs. If you briefly press one button, you can switch the motor on/off.
